# Class TopcatCgiQuery

java.lang.Object
uk.ac.starlink.util.CgiQuery
uk.ac.starlink.topcat.TopcatCgiQuery

public class TopcatCgiQuery extends uk.ac.starlink.util.CgiQuery
Extends CgiQuery so it can write to a local file.

Since:
  1 Oct 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from class uk.ac.starlink.util.CgiQuery

`QUERY_CHARS`

## Constructor Summary

Constructors
Constructor
Description
`TopcatCgiQuery(String base)`
Constructs a CGI query with no arguments.

## Method Summary

Modifier and Type
Method
Description
`File`
`executeAsLocalFile(String extension)`
Sends this query and writes the result to a temporary file.

### Methods inherited from class uk.ac.starlink.util.CgiQuery

`addArgument, addArgument, addArgument, addArgument, allowUnencodedChars, equals, formatDouble, formatDouble, formatFloat, hashCode, toString, toURL`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TopcatCgiQuery

public TopcatCgiQuery(String base)
Constructs a CGI query with no arguments.

Parameters:
  `base` - base part of the CGI URL (the bit before the '?')

## Method Details

### executeAsLocalFile

public File executeAsLocalFile(String extension) throws IOException
Sends this query and writes the result to a temporary file.

Parameters:
  `extension` - file extension of file to write to
Returns:
  file to which query result was written
Throws:
  `IOException`